com.holonplatform.vaadin7.data

## Interface ItemDataSource.Configuration<PROPERTY>

- All Superinterfaces:
    com.holonplatform.core.query.QueryConfigurationProvider, Serializable
  Enclosing interface:
    ItemDataSource<ITEM,PROPERTY>

      public static interface ItemDataSource.Configuration<PROPERTY>
      extends com.holonplatform.core.query.QueryConfigurationProvider, Serializable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryConfigurationProvider

      `com.holonplatform.core.query.QueryConfigurationProvider.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<PROPERTY>` | `getProperties()` Get available item properties.
    `Object` | `getPropertyDefaultValue(PROPERTY property)` Get the default value for the given property.
    `Class<?>` | `getPropertyType(PROPERTY property)` Gets the data type of the given data source property.
    `boolean` | `isPropertyReadOnly(PROPERTY property)` Get whether the given property is read only.
    `boolean` | `isPropertySortable(PROPERTY property)` Get whether the given property is sortable.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryConfigurationProvider

      `builder, create, create, create, getQueryFilter, getQueryParameters, getQuerySort, withFilter, withFilter, withSort, withSort`

- - ### Method Detail

    - #### getProperties

          Iterable<PROPERTY> getProperties()

      Get available item properties.
      Returns:
        Available item properties iterable

    - #### getPropertyType

          Class<?> getPropertyType(PROPERTY property)

      Gets the data type of the given data source property.
      Parameters:
        `property` - Property (not null)
      Returns:
        Property data type

    - #### isPropertyReadOnly

          boolean isPropertyReadOnly(PROPERTY property)

      Get whether the given property is read only.
      Parameters:
        `property` - Property (not null)
      Returns:
        `true` if property is read only, `false` otherwise

    - #### isPropertySortable

          boolean isPropertySortable(PROPERTY property)

      Get whether the given property is sortable.
      Parameters:
        `property` - Property (not null)
      Returns:
        `true` if property is sortable, `false` otherwise

    - #### getPropertyDefaultValue

          Object getPropertyDefaultValue(PROPERTY property)

      Get the default value for the given property.
      Parameters:
        `property` - Property (not null)
      Returns:
        Property default value, or `null` if not available

Copyright © 2019 The Holon Platform. All rights reserved.